/*
 * Class EV_PRINT_PROJECTOR_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1137 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1137 [] = {0xFF01,1551,1136,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1137 [] = {0xFF01,1136,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1137 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1137 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1137 [] = {0xFF01,1136,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1137 [] = {0xFF01,1136,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1137 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1137 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1137 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1137 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1137 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1137 [] = {0xFF01,1136,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1137 [] = {0xFF01,0xFF01,967,0xFFFF};


static const struct desc_info desc_1137[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1137), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1137), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1137), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1137), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1137), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1137), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1137), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1137), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1137), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1137), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1137), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1137), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x08E1 /*1136*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1137), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1137), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x078F /*967*/), 26781, 0},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 4},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
};
void Init1137(void)
{
	IDSC(desc_1137, 0, 1136);
	IDSC(desc_1137 + 1, 1, 1136);
	IDSC(desc_1137 + 32, 1513, 1136);
	IDSC(desc_1137 + 59, 1066, 1136);
}


#ifdef __cplusplus
}
#endif
